<?php
/**
 * 2026 Paysera
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Paysera <plugins@paysera.com>
 * @copyright 2026 Paysera
 * @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Paysera
 */

declare(strict_types=1);

namespace Paysera\PrestashopPayments\Dto;

use Evp\Component\Money\Money;

if (!defined('_PS_VERSION_')) {
    exit;
}

class PayseraPaymentInfo
{
    public function __construct(
        private ?string $payseraPaymentId = null,
        private ?string $payseraOrderId = null,
        private ?string $paymentLink = null,
        private ?Money $originalAmount = null,
        private ?Money $paidAmount = null,
        private ?string $exchangeRate = null
    ) {
    }

    public function getPayseraPaymentId(): ?string
    {
        return $this->payseraPaymentId;
    }

    public function getPayseraOrderId(): ?string
    {
        return $this->payseraOrderId;
    }

    public function getPaymentLink(): ?string
    {
        return $this->paymentLink;
    }

    public function getOriginalAmount(): ?Money
    {
        return $this->originalAmount;
    }

    public function getPaidAmount(): ?Money
    {
        return $this->paidAmount;
    }

    public function getExchangeRate(): ?string
    {
        return $this->exchangeRate;
    }
}
